> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/valuelists/valuelist.md).

# ValueList

## Overview

Each item represents a valuelist created in the active solution.\
Double-clicking on the valuelist name will open the [Valuelist Editor](/reference/servoy-developer/object-editors/valuelist-editor.md).

## Properties Summary

See [Valuelist](/reference/servoycore/object-model/solution/valuelist.md#property-summary) for properties that can be set on a **ValueList** from Properties View.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                         | Summary                                                                                      |
| ----------------------------------------------- | -------------------------------------------------------------------------------------------- |
| [Edit valuelist](#edit-valuelist)               | Opens the [Valuelist Editor](/reference/servoy-developer/object-editors/valuelist-editor.md) |
| [Search for References](#search-for-references) | Searches all references in your active solution                                              |
| [Create valuelist](#create-valuelist)           | Opens the [Valuelist Editor](/reference/servoy-developer/object-editors/valuelist-editor.md) |
| [Duplicate valuelist](#duplicate-valuelist)     | Creates a (deep) copy of the valuelist                                                       |
| [Delete valuelist](#delete-valuelist)           | Deletes valuelist from workspace                                                             |

## Commands Details

The details for each command available on this item via right-click context menu:

### Edit valuelist

Opens the [Valuelist Editor](/reference/servoy-developer/object-editors/valuelist-editor.md) in order to update the valuelist.

### Search for References

Searches all references of the valuelist in your active solution.

### Create valuelist

Opens the [Valuelist Editor](/reference/servoy-developer/object-editors/valuelist-editor.md) in order to create a new valuelist.

### Duplicate valuelist

Creates a (deep) copy of the valuelist. You can choose the new valuelist name.

### Delete valuelist

Deletes the valuelist from workspace.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/valuelists/valuelist.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
